Skip to content

Remove a tag from an article

Request

Remove a tag from an article. Returns the tag that was removed, with null applied_at and applied_by.

The authenticating teammate must have the manage_knowledge_base_content permission.

Requires the read_write_articles_scope OAuth scope.

Security
bearerAuth
Path
article_idintegerrequired

The unique identifier for the article which is given by Intercom.

Example:123
idstringrequired

The unique identifier of the tag to remove, as given by Intercom.

Example:7522907
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default:"2.16"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.16
curl -i -X DELETE \
  https://api.intercom.io/articles/123/tags/7522907 \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Intercom-Version: 2.16'

Responses

Tag removed

Bodyapplication/json
typestring

value is "tag"

Example:"tag"
idstring

The id of the tag

Example:"123456"
namestring

The name of the tag

Example:"Test tag"
applied_atinteger or null, (date-time)

The time when the tag was applied to the object. Only present when the tag is returned as part of a tagging operation on a contact, conversation, or ticket.

Example:1663597223
applied_byobject or null(Reference)

The admin who applied the tag. Only present when the tag is returned as part of a tagging operation on a contact, conversation, or ticket.

Response
{ "type": "tag", "id": "7522907", "name": "Independent", "applied_at": null, "applied_by": null }